/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayBadge from '@clayui/badge';
import React from 'react';

const METHOD_DISPLAY_MAP = {
	delete: 'danger',
	get: 'primary',
	patch: 'info',
	post: 'success',
	put: 'warning'
};

const MethodBadge = props => {
	const {displayType, method, ...otherProps} = props;

	return (
		<ClayBadge
			displayType={displayType || METHOD_DISPLAY_MAP[method]}
			label={method.toUpperCase()}
			{...otherProps}
		/>
	);
};

export default MethodBadge;
