/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import React from 'react';

import SchemaDisplay from './SchemaDisplay';

const style = {
	lineHeight: '1em'
};

const SchemaExplorer = ({category, schemas}) => {
	return (
		<div className="schema-explorer-root">
			<div className="align-items-end d-flex justify-content-between mb-2">
				<h1 style={style}>{'Schemas:'}</h1>

				<h3 style={style}>
					<em>{category}</em>
				</h3>
			</div>

			{Object.keys(schemas).map(key => (
				<SchemaDisplay key={key} name={key} schema={schemas[key]} />
			))}
		</div>
	);
};

export default SchemaExplorer;
